# TODO:
# - c extension build is done in install phase (http://bugs.mysql.com/bug.php?id=78621)
#
# Conditional build:
%bcond_with		tests		# build with tests (requires mysql server)
%bcond_without	python3		# build without python3

%define		pname	mysql-connector
Summary:	The MySQL Client/Protocol implemented in Python
Name:		python-%{pname}
# check documentation to see which version is GA (we don't want devel releases)
# https://dev.mysql.com/downloads/connector/python/
Version:	2.1.3
Release:	2
License:	GPL v2
Group:		Libraries/Python
Source0:	http://cdn.mysql.com/Downloads/Connector-Python/mysql-connector-python-%{version}.zip
# Source0-md5:	710479afc4f7895207c8f96f91eb5385
Patch0:		32bit.patch
URL:		http://dev.mysql.com/doc/connector-python/en/
BuildRequires:	mysql-devel
BuildRequires:	python-devel
BuildRequires:	python-modules
%{?with_python3:BuildRequires:	python3-modules}
BuildRequires:	rpm-pythonprov
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MySQL Connector/Python is implementing the MySQL Client/Server
protocol completely in Python. No MySQL libraries are needed, and no
compilation is necessary to run this Python DB API v2.0 compliant
driver. An interface to the popular MySQL database server for Python.

%package -n python3-%{pname}
Summary:	The MySQL Client/Protocol implemented in Python
Group:		Development/Languages/Python
Requires:	python3-modules

%description -n python3-%{pname}
MySQL Connector/Python is implementing the MySQL Client/Server
protocol completely in Python. No MySQL libraries are needed, and no
compilation is necessary to run this Python DB API v2.0 compliant
driver. An interface to the popular MySQL database server for Python.

%prep
%setup -q -n mysql-connector-python-%{version}
%patch0 -p1

%build
%{__python} setup.py build
%{?with_tests:%{__python} setup.py test}

%if %{with python3}
%{__python3} setup.py build -b build-3
%{?with_tests:%{__python3} setup.py test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__python} -- setup.py \
	install \
	--with-mysql-capi=%{_prefix} \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%if %{with python3}
%{__python3} -- setup.py \
	build -b build-3 \
	install \
	--with-mysql-capi=%{_prefix} \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt README.txt
%attr(755,root,root) %{py_sitedir}/_mysql_connector.so
%dir %{py_sitedir}/mysql
%{py_sitedir}/mysql/*.py[co]
%dir %{py_sitedir}/mysql/connector
%{py_sitedir}/mysql/connector/*.py[co]
%dir %{py_sitedir}/mysql/connector/django
%{py_sitedir}/mysql/connector/django/*.py[co]
%dir %{py_sitedir}/mysql/connector/fabric
%{py_sitedir}/mysql/connector/fabric/*.py[co]
%dir %{py_sitedir}/mysql/connector/locales
%{py_sitedir}/mysql/connector/locales/*.py[co]
%dir %{py_sitedir}/mysql/connector/locales/eng
%{py_sitedir}/mysql/connector/locales/eng/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitedir}/mysql_connector_python-*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pname}
%defattr(644,root,root,755)
%doc CHANGES.txt README.txt
%attr(755,root,root) %{py3_sitedir}/_mysql_connector.cpython-*.so
%{py3_sitedir}/mysql*.egg-info
%dir %{py3_sitedir}/mysql
%{py3_sitedir}/mysql/*.py
%dir %{py3_sitedir}/mysql/__pycache__
%{py3_sitedir}/mysql/__pycache__/*.py[co]
%dir %{py3_sitedir}/mysql/connector
%{py3_sitedir}/mysql/connector/*.py
%dir %{py3_sitedir}/mysql/connector/__pycache__
%{py3_sitedir}/mysql/connector/__pycache__/*.py[co]
%dir %{py3_sitedir}/mysql/connector/django
%{py3_sitedir}/mysql/connector/django/*.py
%dir %{py3_sitedir}/mysql/connector/django/__pycache__
%{py3_sitedir}/mysql/connector/django/__pycache__/*.py[co]
%dir %{py3_sitedir}/mysql/connector/fabric
%{py3_sitedir}/mysql/connector/fabric/*.py
%dir %{py3_sitedir}/mysql/connector/fabric/__pycache__
%{py3_sitedir}/mysql/connector/fabric/__pycache__/*.py[co]
%dir %{py3_sitedir}/mysql/connector/locales
%{py3_sitedir}/mysql/connector/locales/*.py
%dir %{py3_sitedir}/mysql/connector/locales/__pycache__
%{py3_sitedir}/mysql/connector/locales/__pycache__/*.py[co]
%dir %{py3_sitedir}/mysql/connector/locales/eng
%{py3_sitedir}/mysql/connector/locales/eng/*.py
%dir %{py3_sitedir}/mysql/connector/locales/eng/__pycache__
%{py3_sitedir}/mysql/connector/locales/eng/__pycache__/*.py[co]
%endif
%changelog
* Fri Oct 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-mysql-connector.git;a=log;h=master

* Fri Oct 02 2015 Jan Rękorajski <baggins@pld-linux.org> d826fa4
- release 2 (by relup.sh)

* Fri Oct 02 2015 Jan Rękorajski <baggins@pld-linux.org> 81c1633
- fix bitnes detection

* Tue Sep 29 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> befdbee
- up to 2.1.3; switch to c-extension version (so no longer noarch)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e49a4f9
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6164918
- python 3.5 rebuild
- release 2 (by relup.sh)

* Mon Aug 10 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 41a350a
- up to 2.0.4

* Wed Jan 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a951d9
- up to 2.0.3 (GA)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 33245d2
- python 3.4
- release 2 (by relup.sh)

* Fri Aug 22 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 145f17c
- up to 1.2.3

* Tue May 27 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ba8faa7
- up to 1.2.2; first GA release

* Tue May 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 183cae2
- up to 1.1.7

* Wed Feb 26 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 94f65fb
- rel 2; allow passing only some ssl arguments or set them to None (fixed in devel version 1.2.1).

* Wed Feb 26 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 43242fa
- up to 1.1.6

* Tue May 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b523ec7
- up to 1.0.10

* Tue Feb 26 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6467750
- up to 1.0.9

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ed7be91
- release 2 (by relup.sh)

* Sat Sep 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 33174d1
- up to 1.0.7; official mysql/oracle pure python mysql library

* Mon May 14 2012 Elan Ruusamäe <glen@pld-linux.org> d75aefe
- tests, python3 bconds, cleanups, formatting

* Sat Sep 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 782f414
- initial

